#!/bin/bash

finish() {
  CODE=$1
  printf '\nPress enter key to continue...'
  read ans
  exit $CODE
}

if [ $# -lt 1 ]; then
  echo "usage: $0 command_to_run_in_window [finishing_message]"
  exit 1
fi

COMMAND="$1"
shift
FINISHING_MESSAGE="$1"

if [ "$COMMAND" != 'echo' ]; then
  printf 'Executing command: %s\n' "$COMMAND"
fi

bash -l -c "$COMMAND"

RETVAL=$?

#printf 'Return value is: %d\n' $RETVAL
if [ "$RETVAL" -ne 0 ]; then
  printf '\nThere was an error running the command.\n'
  finish 1
fi

if [ "$FINISHING_MESSAGE" != "" ]; then
  printf '\n'
  while [ "$#" -ge 1 ]
  do
    MSG=`eval "echo $1"`
    MSGFULL=""
    for TERM in $MSG
    do
      MSGFULL=$MSGFULL" "$TERM
    done
    printf '%s\n' "$MSGFULL"
    shift
  done
fi

finish

